const inquirer = require('inquirer')
const rc = require('../lib/rc.js')()

const validate = (input) => !!input.length

const setupQuestions = [{
  type: 'input',
  name: 'username',
  message: 'Please enter your MedX username:',
  validate
}, {
  type: 'password',
  name: 'password',
  message: 'Please enter your MedX password:',
  validate
}, {
  type: 'input',
  name: 'auth',
  message: 'Enter your preferred auth server',
  default: 'https://authdev.medx.net/admin/api/login',
  validate
}, {
  type: 'input',
  name: 'c3',
  message: 'Enter your preferred medhub server',
  default: 'https://medhubdev.medx.net/api/c3',
  validate
}]

module.exports = (cb) => {
  inquirer.prompt(setupQuestions, (answers) => {
    const config = {
      dev: {
        medx: answers,
        persist: false
      }
    }
    rc.createConfig(config)
    cb()
  })
}
