'use strict'

const fs = require('fs')
const path = require('path')
const os = require('os')

const configPath = path.join(os.homedir(), '.adarc')

module.exports = () => {
  let config

  try {
    const cliConfig = JSON.parse(fs.readFileSync(configPath))
    config = cliConfig[process.env.NODE_ENV || 'dev']
  } catch (e) {
    try {
      const serverConfig = JSON.parse(fs.readFileSync('./config.json'))
      config = serverConfig[process.env.NODE_ENV || 'dev']
    } catch (e) {
      config = null
    }
  }

  return {
    get: () => config,
    configExists: () => !!config,
    createConfig: (input) => {
      fs.writeFileSync(configPath, JSON.stringify(input, null, 2))
    }
  }
}
